﻿--

CREATE TABLE IF NOT EXISTS `critic` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_user` int(11) NOT NULL,
  `id_foto` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `rating` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;



--

CREATE TABLE IF NOT EXISTS `critic_list` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_user` int(11) NOT NULL,
  `id_foto` int(11) NOT NULL,
  `name` varchar(256) NOT NULL,
  `set` set('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--

CREATE TABLE IF NOT EXISTS `critic_rat` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_user` int(11) NOT NULL,
  `set` set('0','1') NOT NULL,
  `id_critic` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `vote` set('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--

CREATE TABLE IF NOT EXISTS `critic_time` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_user` int(11) NOT NULL,
  `id_critic` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


--

CREATE TABLE IF NOT EXISTS `critics` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(128) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=46 ;



--
-- Дамп данных таблицы `critics`
--

INSERT INTO `critics` (`id`, `name`) VALUES
(1, 'Аккуратн'),
(2, 'Вежлив'),
(3, 'Верн'),
(4, 'Весел'),
(5, 'Влюбчив'),
(6, 'Внимательн'),
(7, 'Воспитанн'),
(8, 'Гламурн'),
(9, 'Горд'),
(10, 'Добр'),
(11, 'Доверчив'),
(12, 'Застенчив'),
(13, 'Красив'),
(14, 'Легкомысленн'),
(15, 'Лицемерн'),
(16, 'Надежн'),
(17, 'Нежн'),
(18, 'Обидчев'),
(19, 'Образованн'),
(20, 'Общительн'),
(21, 'Оптимистичн'),
(22, 'Пошл'),
(23, 'Приятн'),
(24, 'Пунктуальн'),
(25, 'Раним'),
(26, 'Ревнив'),
(27, 'Решительн'),
(28, 'Романтичн'),
(29, 'Сексуальн'),
(30, 'Смел'),
(31, 'Спортивн'),
(32, 'Справедлив'),
(33, 'Страстн'),
(34, 'Строг'),
(35, 'Счастлив'),
(36, 'Трудолюбив'),
(37, 'Умн'),
(38, 'Упрям'),
(39, 'Успешн'),
(40, 'Хитр'),
(41, 'Целеустремленн'),
(42, 'Честн'),
(43, 'Эгоистичн'),
(44, 'Энергичн'),
(45, 'Эпотажн');


ALTER TABLE  `user` ADD  `critic` INT( 11 ) NOT NULL DEFAULT  '0';